$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on("change", ".prodgrp", getscode);
    $("body").on("focus ", '.godown', autoaddopn);
    $("body").on("focus ", '.rtrate', autoaddhist);
    $("body").on("keyup blur", '.prodcode,.gram,.packing', genbarcode);
//    $("body").on("blur", '.prodcode', checkProdcode);
    
    function genbarcode() {
        var prodcode = $('.prodcode').val(),
            gram = $('.gram').val(),
            packing = $('.packing').val(),
            barcode = prodcode;
            $('.barcode').val(barcode);
    }
    
    function autoaddopn() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }
    
    function autoaddhist() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows2();
        }
    }
    
//    function autoaddpre() {
//        if ($(this).closest('tr').is(":last-child")) {
//            AddRows3();
//        }
//    }

    function remove() {
        $(this).closest("tr").remove();
    }

    function getscode() {
        var prodgrp = $('.prodgrp').val();
        $.post('gethsn_prod.php', {prodgrp: prodgrp}, function (data) {
            $('.hsncode').val(data.hsncode);
            $('.gstperc').val(data.gstperc).trigger("change");
        }, 'json');
    }



    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('prodopen_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    $('#addnew').click(function () {
        AddRows();
    });

//
//    $('.ninth').focus(function () {
//        if ($(this).closest("tr").is(":last-child")) {
//            AddRows2();
//        }
//    });

    function AddRows2() {
        var ctr = $('#items2').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('prodhist_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody2');
            ctr++;
            $('#items2').val(ctr);
            $(detail).select2();
        });
    }

    $('#addnew2').click(function () {
        AddRows2();
    });

   


});